> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel an offering purchase intent

> Cancel purchase intent



## OpenAPI

````yaml POST /offering-purchase-intent/{offeringPurchaseIntentId}/cancel
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /offering-purchase-intent/{offeringPurchaseIntentId}/cancel:
    post:
      tags:
        - Offering-Purchase-Intent
      summary: Cancel purchase intent
      description: Cancel purchase intent
      operationId: cancel
      parameters:
        - name: offeringPurchaseIntentId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: The purchase intent has been successfully cancelled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResultDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    ValidationResultDTO:
      type: object
      properties:
        result:
          description: The result
          allOf:
            - $ref: '#/components/schemas/SuccessResponseDTO'
      required:
        - result
    SuccessResponseDTO:
      type: object
      properties:
        status:
          type: string
          example: success
          description: The status
        data:
          description: The data
          allOf:
            - $ref: '#/components/schemas/SuccessDataDTO'
      required:
        - status
        - data
    SuccessDataDTO:
      type: object
      properties:
        message:
          type: string
          example: The offering purchase intent has been successfully validated
          description: The message
      required:
        - message

````